Bug 65049 - Internal compiler error in do_SUBST
Summary: Internal compiler error in do_SUBST
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc3   
(Show other bugs)
Version: 1.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL: http://sexorcisto.net/gdsrc/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-16 18:54 UTC by Vallimar
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-17 09:32:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vallimar 2002-05-16 18:54:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
When using the gcc-3.1 final in current Rawhide (also happened with prior cvs 
version) the compiler dies on main.c with the above internal compiler error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get source (http://sexorcisto.net/gdsrc.tar.gz)
2. unpack source
3. make clean
4. make
	

Actual Results:  make[1]: Entering directory `/var/www/html/gdsrc'
gcc -O2 -march=i686 -fomit-frame-pointer -funroll-loops -frerun-loop-opt  -
DWORD_WRAP -DRANDOM -DMALLOC_bibopmalloc     -DMUD_LIB=\"/mud/millenia/lib\" -
DBINDIR=\"/mud/millenia/bin\" -o main.o -c main.c
main.c: In function `main':
main.c:423: Internal compiler error in do_SUBST, at combine.c:439
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[1]: *** [main.o] Error 1
make[1]: Leaving directory `/var/www/html/gdsrc'
make: *** [driver] Error 2

Expected Results:  Should have compiled without error and moved on.

Additional info:

You may browse the tree as-is via http://sexorcisto.net/gdsrc

You will find the main.c main.s main.i files all there from the original source 
and with the -save-temp cmdline option.

As I mentioned, earlier rawhide gcc 3.1 cvs versions used to work, although not 
the prior one.  Also, gcc296 works without flaws leaving me to believe a recent 
change to gcc is at fault.

[root@omicron gdsrc]# gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.1/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --
infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-
checking --host=i386-redhat-linux --with-system-zlib
Thread model: posix
gcc version 3.1 (Red Hat Linux Rawhide 3.1-1)

[root@omicron gdsrc]# uname -a
Linux omicron 2.4.19-pre8-ac1 #1 Wed May 8 16:43:52 EDT 2002 i686 unknown

Comment 2 Vallimar 2002-05-24 12:48:33 UTC
Rawhide gcc-3.1-2 fixes the issue, as the changelog indicates.


Note You need to log in before you can comment on or make changes to this bug.